curl --request POST \
--url https://b.anny.co/api/v1/terminal-locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "terminal-locations",
"attributes": {
"display_name": "Front Desk"
}
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "terminal-locations",
"attributes": {
"display_name": "<string>",
"provider_location_id": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"metadata": {},
"is_synced": true,
"full_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"payment_account": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"self": "<string>"
}
},
"readers": {
"data": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Terminal Payments
Create terminal location
Creates a new terminal location and syncs it to Stripe.
If no address fields are provided, the organization’s registered address is used automatically.
Required: display_name
POST
/
api
/
v1
/
terminal-locations
curl --request POST \
--url https://b.anny.co/api/v1/terminal-locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "terminal-locations",
"attributes": {
"display_name": "Front Desk"
}
}
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "terminal-locations",
"attributes": {
"display_name": "<string>",
"provider_location_id": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"metadata": {},
"is_synced": true,
"full_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"relationships": {
"payment_account": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"links": {
"self": "<string>"
}
},
"readers": {
"data": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"links": {
"self": "<string>"
}
}
}
}
}Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
Show child attributes
Show child attributes
Antwort
Created
A physical location registered in Stripe Terminal where card readers are deployed.
Show child attributes
Show child attributes